Package org.apache.groovy.dateutil

# Class TimeDuration

java.lang.Object
org.apache.groovy.dateutil.BaseDuration
org.apache.groovy.dateutil.Duration
org.apache.groovy.dateutil.TimeDuration

All Implemented Interfaces:
  `Comparable<BaseDuration>`

public class TimeDuration extends Duration
A time period in hours, minutes, seconds and milliseconds (optionally with days). DEQUIRKED: `getAgo()`/`getFrom()` inherited from `BaseDuration`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.groovy.dateutil.BaseDuration

  `BaseDuration.From`

- ## Field Summary

  ### Fields inherited from class org.apache.groovy.dateutil.BaseDuration

  `days, hours, millis, minutes, months, seconds, years`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeDuration(int hours, int minutes, int seconds, int millis)`
  `TimeDuration(int days, int hours, int minutes, int seconds, int millis)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DatumDependentDuration`
  `minus(DatumDependentDuration rhs)`
  `Duration`
  `minus(Duration rhs)`
  `DatumDependentDuration`
  `plus(DatumDependentDuration rhs)`
  `Duration`
  `plus(Duration rhs)`

  ### Methods inherited from class org.apache.groovy.dateutil.Duration

  `minus, minus, plus`

  ### Methods inherited from class org.apache.groovy.dateutil.BaseDuration

  `compareTo, getAgo, getDays, getFrom, getHours, getMillis, getMinutes, getMonths, getSeconds, getYears, plus, toMilliseconds, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TimeDuration

    public TimeDuration(int hours, int minutes, int seconds, int millis)

  - ### TimeDuration

    public TimeDuration(int days, int hours, int minutes, int seconds, int millis)

- ## Method Details

  - ### plus

    public Duration plus(Duration rhs)
    Overrides:
      `plus` in class `Duration`

  - ### plus

    public DatumDependentDuration plus(DatumDependentDuration rhs)
    Overrides:
      `plus` in class `Duration`

  - ### minus

    public Duration minus(Duration rhs)
    Overrides:
      `minus` in class `Duration`

  - ### minus

    public DatumDependentDuration minus(DatumDependentDuration rhs)
    Overrides:
      `minus` in class `Duration`